code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/bash
# Copyright 2017 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law o... | bparees/open-service-broker-sdk | vendor/github.com/kubernetes/repo-infra/verify/go-tools/verify-gometalinter.sh | Shell | apache-2.0 | 1,058 |
#! /usr/bin/env bash
#
# Copyright (C) 2013-2014 Zhang Rui <bbcallen@gmail.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless ... | annidy/ijkplayer | android/contrib/tools/do-detect-env.sh | Shell | gpl-2.0 | 3,029 |
#!/usr/bin/env bash
set -eux
trap 'rm -f out' EXIT
ansible-playbook main.yml -i ../../inventory | tee out
for i in 1 2 3; do
grep "ok: \[localhost\] => (item=$i)" out
grep "\"item\": $i" out
done
ansible-playbook main_fqcn.yml -i ../../inventory | tee out
for i in 1 2 3; do
grep "ok: \[localhost\] => (item=$i... | s-hertel/ansible | test/integration/targets/debug/runme.sh | Shell | gpl-3.0 | 358 |
#!/bin/sh
RYU_GIT="https://github.com/routeflow/ryu-rfproxy.git"
RYU_BRANCH="origin/master"
RYU_DEPS="python-greenlet python-eventlet python-webob python-routes"
RYU_VERSION="2.0"
get_ryu() {
if [ "$OVS_VERSION" != "git" ]; then
print_status "We recommend using ovs-1.10.0 or above with Ryu for OF1.2+ Sup... | c3m3gyanesh/RouteFlow-OpenConfig | dist/build_ryu.sh | Shell | apache-2.0 | 689 |
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to you under the Apache License, Version 2.0
# (the "License"); you may not use ... | lpxz/grail-derby104 | tools/testing/reporting/TEMPLATES/env.sh | Shell | apache-2.0 | 1,591 |
#!/bin/bash
# Copyright (c) 2018 Google LLC.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed... | google/filament | third_party/spirv-tools/kokoro/ndk-build/build.sh | Shell | apache-2.0 | 792 |
#!/usr/bin/env node
// -*- mode: js -*-
"use strict";
var fs = require('fs');
var generateMarkdown = require('./react_documentation/generateMarkdown');
var path = require('path');
var ReactDocGen = require('react-docgen');
var docsPath = path.join(__dirname, '../docs/api');
if (!fs.existsSync(docsPath)) {
fs.mkdirS... | facebookarchive/fixed-data-table | build_helpers/buildAPIDocs.sh | Shell | bsd-3-clause | 1,458 |
# Outputs current branch info in prompt format
function git_prompt_info() {
local ref
if [[ "$(command git config --get oh-my-zsh.hide-status 2>/dev/null)" != "1" ]]; then
ref=$(command git symbolic-ref HEAD 2> /dev/null) || \
ref=$(command git rev-parse --short HEAD 2> /dev/null) || return 0
echo "$ZSH... | seanhawkridge/dotfiles | oh-my-zsh.symlink/lib/git.zsh | Shell | mit | 8,150 |
#!/bin/sh
export CFLAGS="-I$PREFIX/include"
export CPPFLAGS="-I$PREFIX/include"
export CXXFLAGS="-I$PREFIX/include"
export LDFLAGS="-L$PREFIX/lib"
export CPATH=${PREFIX}/include
sed -i.bak 's/^CC =$//g' Makefile
sed -i.bak 's/^#LDFLAGS.*//g' Makefile
if [[ "$OSTYPE" == "darwin"* ]]; then
#Lines below is commented... | jerowe/bioconda-recipes | recipes/cd-hit/build.sh | Shell | mit | 696 |
trap
trap -l
trap -lp
trap FUNCTION
trap FUNCTION SIGINT
trap -p SIGINT
| jwren/intellij-community | plugins/sh/testData/oldLexer/v3/trapLexing.sh | Shell | apache-2.0 | 72 |
#!/bin/sh
# vi: ts=4 noexpandtab
#
# Author: Ben Howard <ben.howard@canonical.com>
# Author: Scott Moser <scott.moser@ubuntu.com>
# (c) 2012, Canonical Group, Ltd.
#
# Purpose: Detect invalid locale settings and inform the user
# of how to fix them.
#
locale_warn() {
local bad_names="" bad_lcs="" key="" val="" var="... | cloudsigma/cloud-init | tools/Z99-cloud-locale-test.sh | Shell | gpl-3.0 | 2,691 |
#
# This helper is for templates for Go packages.
#
do_configure() {
# This isn't really configuration, but its needed by packages
# that do unusual things with the build where the expect to be
# able to cd into the $GOSRCPATH
if [[ "${go_get}" != "yes" ]]; then
mkdir -p "$(dirname ${GOSRCPA... | EaterOfCode/void-packages | common/build-style/go.sh | Shell | bsd-2-clause | 600 |
#!/bin/sh
set -e
ODOO_CONFIGURATION_DIR=/etc/odoo
ODOO_CONFIGURATION_FILE=$ODOO_CONFIGURATION_DIR/openerp-server.conf
ODOO_DATA_DIR=/var/lib/odoo
ODOO_GROUP="odoo"
ODOO_LOG_DIR=/var/log/odoo
ODOO_USER="odoo"
if ! getent passwd | grep -q "^odoo:"; then
groupadd $ODOO_GROUP
adduser --system --no-create-home $O... | vileopratama/vitech | src/setup/redhat/postinstall.sh | Shell | mit | 1,582 |
# required environment variables:
# BMCLIENT The client to run. Defaults to TPCC.
# BMDURATION The number of seconds for which to run the benchmark.
# BMHOSTCOUNT How many servers to use.
# BMKFACTOR The k-safety factor to use.
# MULTINODE_HELPER The name of a multinode helper job w... | ingted/voltdb | tools/benchmark.sh | Shell | agpl-3.0 | 1,992 |
#!/bin/bash
source /var/.cloud66_env | fs/open-core | spec/dummy/config/cloud/cloud66/scripts/env_vars.sh | Shell | gpl-2.0 | 36 |
#!/bin/bash
# --------------------------------------------------------------
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
... | asankasanjaya/stratos | samples/applications/nested/esb-php-nested-with-esb-php-nested-with-mysql-php-app/scripts/ec2/deploy.sh | Shell | apache-2.0 | 1,028 |
#!/bin/bash
# Copyright 2014 The Kubernetes Authors All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless require... | manansaraf/kubernetes | hack/lib/golang.sh | Shell | apache-2.0 | 16,382 |
#!/bin/bash
set -x
cd src
autoconf
# build version with MPI & Beagle
./configure \
--prefix=$PREFIX \
--disable-debug \
--with-beagle=$PREFIX \
--enable-mpi
make -j$CPU_COUNT
make install
make clean
mv $PREFIX/bin/mb{,-mpi}
# build version with Beagle only
./configure \
--prefix=$PREFIX \
-... | dmaticzka/bioconda-recipes | recipes/mrbayes/build.sh | Shell | mit | 395 |
R CMD REMOVE --library=$PREFIX/lib/R/library/ EuPathDB
| ostrokach/bioconda-recipes | recipes/bioconductor-eupathdb/pre-unlink.sh | Shell | mit | 55 |
R CMD REMOVE --library=$PREFIX/lib/R/library/ mgu74ccdf
| joachimwolff/bioconda-recipes | recipes/bioconductor-mgu74ccdf/pre-unlink.sh | Shell | mit | 56 |
#!/usr/bin/env bash
# Copyright 2017 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applica... | shyamjvs/kubernetes | staging/src/k8s.io/code-generator/hack/verify-codegen.sh | Shell | apache-2.0 | 1,555 |
#!/usr/bin/env bash
# Copyright 2016, Google Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# * Redistributions of source code must retain the above copyright
# notice, this list of ... | 7anner/grpc | tools/jenkins/run_distribtest.sh | Shell | bsd-3-clause | 2,324 |
#!/bin/sh
# Test copy-acl on the file system of the build directory, which may be
# a local file system or NFS mounted.
TMPDIR=`pwd`
export TMPDIR
exec "${srcdir}/test-copy-acl.sh"
| FabianKnapp/nexmon | utilities/gettext/gettext-tools/gnulib-tests/test-copy-acl-2.sh | Shell | gpl-3.0 | 184 |
#!/usr/bin/env bash
__NDK_Version=r14
usage()
{
echo "Creates a toolchain and sysroot used for cross-compiling for Android."
echo.
echo "Usage: $0 [BuildArch] [ApiLevel]"
echo.
echo "BuildArch is the target architecture of Android. Currently only arm64 is supported."
echo "ApiLevel is the targe... | dhoehna/corefx | cross/build-android-rootfs.sh | Shell | mit | 5,539 |
#!/bin/bash
find . \( -name "*.h" -or -name "*.c" -or -name "Makefile" \) \
-exec grep -l $1 {} \;
| gonmf/matilda | src/fn.sh | Shell | isc | 104 |
#!/bin/bash
DIR='shadowbug'
TAG=${TAG-trusty}
docker run -i --rm --env "SETUPTOOLS=${SETUPTOOLS}" --env "PIP=${PIP}" -v "`pwd`:/tmp/${DIR}" "ubuntu:${TAG}" sh -c "cp -R '/tmp/${DIR}' '/${DIR}' && cd '/${DIR}' && bash bug.sh 2>/dev/null"
| last-g/setuptools-shadowbug | check.sh | Shell | mit | 240 |
#!/usr/bin/env bash
bin/phpunit --debug --verbose
INCLUDE: simple.sh
INCLUDE: ./tests/Unit/ScriptRuntime/_scripts/simple.sh
bin/phpunit --debug --verbose
| shopwareLabs/psh | tests/Unit/ScriptRuntime/_scripts/local_include.sh | Shell | mit | 155 |
#!/bin/sh
for j in {1..100}
do
cp code/RF_reference.pbs code/full/run_${j}_RF.pbs
sed -i -e "s/run_1_RF\.R/run_${j}_RF\.R/g" code/full/run_${j}_RF.pbs
done | SchlossLab/Sze_FollowUps_Microbiome_2017 | code/old/create_pbs.sh | Shell | mit | 158 |
#!/bin/sh
# Build
docker build --tag="midnight_light" .
# Run
containerId=$(docker run --detach=true --publish-all=true midnight_light)
PORT=$(docker port $containerId 8080 | awk -F: '{print $2}')
MIDNIGHT_LIGHT_URL="http://127.0.0.1:$PORT"
echo "Up and running over at $MIDNIGHT_LIGHT_URL (note that if you're on Wind... | dsebastien/midnightLightV2 | runOnDocker.sh | Shell | mit | 522 |
./freeippa-server/install.sh
| CodingSpiderFox/docker-ci-tool-stack | install.sh | Shell | mit | 29 |
# Update current packages
sudo apt-get update
# Install Git, Gradle, Java, and MongoDB
sudo apt-get install git
sudo apt-get install gradle
sudo apt-get install openjdk-8-jdk openjdk-8-jre mongodb
# Set environment variables for Java
export JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64
export PATH=$PATH:/usr/lib/jvm/ja... | CedarLogic/PartsUnlimitedMRP | deploy/Install-Build-Dependencies.sh | Shell | mit | 474 |
#!/bin/bash
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'echo "$0: \"${last_command}\" command failed with exit code $?"' ERR
# get the path to this script
APP_PATH=`dirname "$0"`
APP_PATH=`( cd "$APP_PATH" && pwd )`
unattended=0
subinstall_params=""
for param in "$@"
do
... | klaxalk/linux-setup | appconfig/zsh/install.sh | Shell | mit | 1,998 |
#!/bin/bash
echo "Starting DPM compiling from $(pwd)"
## Setup Dependencies
echo
echo "Validate compile dependencies"
source ./vendor/is_installed.sh
if [ $(program_is_installed luac) == 0 ]; then
echo_fail "luac is required";
exit
else
echo_pass "luac"
fi
if [ $(program_is_installed npm) == 0 ]; then
... | adamwestman/DPM | application/build.sh | Shell | mit | 1,115 |
#!/bin/bash
# To compile and run the Example.java program, you must compile correcly against the existing classes. You can do so
# by manually changing your java CLASSPATH variable in your environment to point to "lib/java_interface" or you can
# do so during the compilation and execution of your java file (see below... | kbase/trees | lib/KBTree_cpp_lib/example/java/compile_and_run_KBASE_V10.sh | Shell | mit | 960 |
#!/bin/bash -xv
# this version takes a list of images (usually a subset,
# of images in the set (usually images belonging to the same
# run)) and processes only those).
# Before running this script, images have to go through
# prepare_fullastrom_run_para.sh.
# 22.03.2004:
# corrected a bug in the handling of the run ... | deapplegate/wtgpipeline | non_essentials/unused/create_fullastrom_run.sh | Shell | mit | 2,188 |
#!/bin/bash
#
# My custom script using libbash.sh
#
#
# Initialization
#
# get real path of the script
if [ "$(uname)" = Darwin ] ; then
# macOS which does not support readlink -f option
current_script=$(perl -e 'use Cwd "abs_path";print abs_path(shift)' "$0")
else
current_script=$(readlink -f "$0")
fi
# get d... | pruje/libbash.sh | examples/model.sh | Shell | mit | 770 |
#! /usr/bin/env bash
# Download and install the NSQ binaries
export NSQ_DIST="nsq-${NSQ_VERSION}.linux-$(go env GOARCH).go1.3.1"
wget "https://s3.amazonaws.com/bitly-downloads/nsq/${NSQ_DIST}.tar.gz"
tar xf "${NSQ_DIST}.tar.gz"
(
cd "${NSQ_DIST}"
sudo cp bin/* /usr/local/bin/
)
# Start nsqlookupd and disown i... | Everyplay/winston-nsq | scripts/travis/before_install.sh | Shell | mit | 469 |
#!/usr/bin/env sh
## Add this to your wm startup file.
# Terminate already running bar instances
killall -q polybar
# Wait until the processes have been shut down
while pgrep -u $UID -x polybar >/dev/null; do sleep 1; done
# Launch Polybar
polybar -c ~/.config/polybar/config.ini top &
polybar -c ~/.config/polybar/c... | pemcconnell/.dotfiles | config/polybar/polybar-5/launch.sh | Shell | mit | 339 |
#!/bin/sh
set -e
mkdir -p "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}"
RESOURCES_TO_COPY=${PODS_ROOT}/resources-to-copy-${TARGETNAME}.txt
> "$RESOURCES_TO_COPY"
XCASSET_FILES=()
case "${TARGETED_DEVICE_FAMILY}" in
1,2)
TARGET_DEVICE_ARGS="--target-device ipad --target-device iphone"
;;
1)
... | 393385724/DDSocial | DDSocialPodDemo/Pods/Target Support Files/Pods-DDSocialPodDemo/Pods-DDSocialPodDemo-resources.sh | Shell | mit | 5,878 |
#!/usr/bin/env bash
HADOOP_CONF_DIR=/home/hadoop/hadoop-2.7.3/etc/hadoop
SPARK_WORKER_CORES=4
SPARK_WORKER_MEMORY=2g
| kekemonster/iisi-spark | src/main/spark/conf/spark-env.sh | Shell | mit | 117 |
#!/bin/bash
source scripts/set-default-credentials.sh
mocha \
--require ts-node/register \
--require source-map-support/register \
--require src/test/helpers/mocha-bootstrap.ts \
scripts/client-integration-tests/tests.ts | firebase/firebase-tools | scripts/client-integration-tests/run.sh | Shell | mit | 230 |
#!/usr/bin/env bash
script_name=$( basename ${0#-} ) #- needed if sourced no path
[[ ! -z "${BASH_SOURCE}" ]] && this_script=$( basename ${BASH_SOURCE} )
if [[ ${script_name} = ${this_script} ]] ; then
echo "running me directly"
else
echo "sourced from ${script_name}"
fi
| abhishekkr/tutorials_as_code | talks-articles/languages-n-runtimes/shell-scripting/handle-run-or-source.sh | Shell | mit | 283 |
#!/bin/bash -ev
#
# Installation Script
# Written by: Tommy Lincoln <pajamapants3000@gmail.com>
# Github: https://github.com/pajamapants3000
# Legal: See LICENSE in parent directory
#
#
# Dependencies
#**************
# Begin Required
#python-2.7.9
#cairo-1.14.0
# End Required
# Begin Recommended
# End Recommended
# Beg... | pajamapants3000/BLFS_scripts_etc | scripts/py2cairo-1.10.0.sh | Shell | mit | 1,195 |
#!/bin/bash
set -e # Exit with nonzero exit code if anything fails
SOURCE_BRANCH="source"
TARGET_BRANCH="master"
function doCompile {
bundle exec jekyll build --destination out
}
# Pull requests and commits to other branches shouldn't try to deploy, just build to verify
if [ "$TRAVIS_PULL_REQUEST" != "false" -o "$... | LordZardeck/lordzardeck.github.io | deploy.sh | Shell | mit | 1,975 |
#!/usr/bin/env bash
# TODO: some work left for programming installs category
# Note! Categories can in theory be executed in any order. Scripts assumes dropbox is already installed...
if [ $# -lt 1 ]; then
echo "Requires your user name as argument!"
exit 1
fi
our_user=$1
### VARIABLES
declare -A installs #... | VanOvermeire/linuxscripts | bash/deprecated_installation_scripts/overview.sh | Shell | mit | 1,703 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for USN-2130-1
#
# Security announcement date: 2014-03-06 00:00:00 UTC
# Script generation date: 2017-02-02 21:02:20 UTC
#
# Operating System: Ubuntu 12.04 LTS
# Architecture: i386
#
# Vulnerable packages fix on version:
# - libtomcat6-java:6.0.35-1ubuntu3.4
#
# ... | Cyberwatch/cbw-security-fixes | Ubuntu_12.04_LTS/i386/2014/USN-2130-1.sh | Shell | mit | 706 |
#!/bin/bash
. ${SETUP_DIR}/bash/helperFuncs.sh
ERR=$?
if [ "$ERR" != "0" ]; then
exit 1
fi
if [ -z ${INSTALLED_VIM} ]; then
(. ${SETUP_DIR}/bash/installvim.sh)
fi
echo "Installing pathogen..."
PATHOGEN="${HOME}/.vim/autoload/pathogen.vim"
if [ -f ${PATHOGEN} ]; then
echo "Done"
exit 0
fi
_install curl
mkdir -p ... | akiraheid/setup | bash/installpathogen.sh | Shell | mit | 462 |
jekyll serve --watch --config _config.yml,_config.dev.yml --baseurl '' --host=0.0.0.0
| seiyria/drakkar | start.sh | Shell | mit | 86 |
#!/bin/bash
if ! [[ "$2" =~ ^(git@)?(www.)?github.com(:|/)aureus/aureus(.git)?$ ]]; then
exit 0
fi
while read LINE; do
set -- A $LINE
if [ "$4" != "refs/heads/master" ]; then
continue
fi
if ! ./contrib/verify-commits/verify-commits.sh $3 > /dev/null 2>&1; then
echo "ERROR: A commit ... | hideoussquid/aureus-12-bitcore | contrib/verify-commits/pre-push-hook.sh | Shell | mit | 438 |
#!/bin/bash
nemu=build/nemu
if make &> /dev/null; then
echo "NEMU compile OK"
else
echo "testcases compile error... exit..."
exit
fi
echo "compiling testcases..."
if make -C $AM_HOME/tests/cputest ARCH=x86-nemu &> /dev/null; then
echo "testcases compile OK"
else
echo "testcases compile error... exit..."
... | sabertazimi/hust-lab | operatingSystems/ics2017/nemu/runall.sh | Shell | mit | 918 |
if dcheck VBoxClient-all; then
VBoxClient-all
fi
| justinhoward/dotfiles | modules/virtualbox-client/init.sh | Shell | mit | 50 |
autoreconf --install || exit 1
mkdir build -p
cd build; ../configure; make
| felipe-lavratti/chelper | autobuild.sh | Shell | mit | 75 |
#!/bin/bash
set -x
set -e
export PYTHONUNBUFFERED="True"
export CUDA_VISIBLE_DEVICES=$1
LOG="experiments/logs/lov_single_color.txt.`date +'%Y-%m-%d_%H-%M-%S'`"
exec &> >(tee -a "$LOG")
echo Logging output to "$LOG"
# train FCN for single frames
export LD_PRELOAD=/usr/lib/libtcmalloc.so.4
./tools/train_net.py --gpu ... | daweim0/Just-some-image-features | experiments/scripts/lov_features.sh | Shell | mit | 692 |
for i in 1 10 100 1000 10000 100000 100000 1000000
do
P1testGen.py "$i" > P1inGen.txt
printf "%d elements:\n" "$i"
printf "Python:"
time python3 P1.py < P1inGen.txt
printf "C:"
time P1 < P1inGen.txt
printf "\n\n"
done
| AdamOSullivan46/ACM | 2012/P1.sh | Shell | mit | 246 |
echo "Building..."
pdflatex anndraw.tex
pdflatex anndraw.tex
pdflatex anndraw.tex
| ai-maker/ntk | explore/anndraw/build.sh | Shell | mit | 82 |
#!/bin/bash
BIN_PATH=$(yarn bin)
LERNA="$BIN_PATH/lerna"
CHALK="$BIN_PATH/chalk"
# TODO: --scope takes a glob - so this could be simplified - scripts args to this should pass glob instead
# TODO: This would ensure only one arg is taken, allowing all other args to be flags - which can just be expanded
# TODO: Not work... | patrickmarabeas/storybook-multipackage-feasibility | .bin/scripts/bootstrap.sh | Shell | mit | 767 |
convert $(for a in *; do printf -- "-delay 200 %s " $a; done; ) screenshot.gif
| karlredman/Vimwiki-Gollum-Integration | docs/make_screenshot.sh | Shell | mit | 79 |
# Consider this an overview of the steps rather than an actual script to run,
# at least for the moment--there are some issues with running it straight
# that I haven't had time to work out yet.
echo This script is a process to follow, not a script to run, as there are bugs that break it for now. Open it and follow th... | whitecl/devotion-cms | setup.sh | Shell | mit | 1,873 |
#!/bin/sh
# CYBERWATCH SAS - 2016
#
# Security fix for RHSA-2012:0682
#
# Security announcement date: 2012-05-21 17:22:07 UTC
# Script generation date: 2016-05-12 18:10:48 UTC
#
# Operating System: Red Hat 6
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - tomcat6.noarch:6.0.32-24_patch_07.ep5.e... | Cyberwatch/cbw-security-fixes | Red_Hat_6/x86_64/2012/RHSA-2012:0682.sh | Shell | mit | 2,333 |
#####################
# mdce_def
# This file contains the definitions and the defaults for the mdce service and
# the processes it manages. The file is read only when starting and stopping
# the mdce service, or when running the mdce service command with the
# following arguments: status, restart, and console.
# When ... | cfinch/PBS_scripts | matlab-concurrent-hello-world/mdce_def_STOKES.sh | Shell | mit | 9,631 |
#!/bin/sh
echo 'PostgreSQL rsync started'
set -e
BACKUP_DIR=/shared/postgresql/backup/data
# run
mkdir -p $BACKUP_DIR
chown -R postgres:postgres $BACKUP_DIR
rsync -a --delete --checksum /data/pgsql/ $BACKUP_DIR/
echo 'PostgreSQL rsync finished'
| GIGAmacro/dockerbase | services/postgresql/backup-postgresql-rsync.sh | Shell | mit | 249 |
#!/bin/bash
set -e
set -o pipefail
echo Removing Docker.app
rm -rf /Applications/Docker.app
echo Removing Docker config
rm -rf ~/.docker
echo Removing Caches
rm -rf ~/Library/Caches/com.docker.docker
echo Removing Containers
rm -rf ~/Library/Containers/com.docker.docker
echo Removing Group
rm -rf ~/Library/Group\ Cont... | nmccready/snippets | bash/delete-docker.sh | Shell | mit | 542 |
curl --user __USER__:__PASS__ https://api.bitbucket.org/1.0/repositories/ --data name=__REPO__ --data is_private='true'
mysqldump -h localhost -u root -p database > database.com.sql
| iwxfer/wikitten | library/server/bitbucket.sh | Shell | mit | 182 |
first_reporter__test_files_start_running() {
printf "${FUNCNAME} with $(system__pretty_print_array "$@")\n"
}
first_reporter__test_file_starts_running() {
printf "${FUNCNAME} with $(system__pretty_print_array "$@")\n"
}
first_reporter__global_setup_has_failed() {
printf "${FUNCNAME} with $(system__pretty_print_... | arpinum-oss/shebang-unit | sources/tests/core/reporter/mock_objects/first_reporter.sh | Shell | mit | 1,088 |
#!/usr/bin/env bash
#
# Author: Petr Zemek <s3rvac@gmail.com>
#
# Moves the currently active window to the "left" or "right" ($1) part of the
# screen.
#
# Maximize the window so we can measure the dimensions of the current screen.
wmctrl -r :ACTIVE: -b add,maximized_vert,maximized_horz
# Take window's measurements.
... | s3rvac/dotfiles | fluxbox/.fluxbox/scripts/move-current-window-to-half-screen.sh | Shell | mit | 1,164 |
#! /bin/sh
sudo screen -d -m -L node -r ts-node/register ./demons/follower/follower.ts #&> ./subscribe_log.txt
echo "started"
| asdman384/instagram | start.sh | Shell | mit | 126 |
#!/bin/bash
#
# USAGE =======================================================================
#
# bash install.sh
# bash install.sh -inc-deps (just the program files, used in development)
# bash install.sh -refresh (removes program files & CMU Sphinx)
#
# NOTES ====================================... | umhau/vmc | install.sh | Shell | mit | 5,400 |
#!/bin/bash
set -e
# Build backend
echo "Building backend..."
go get
go build
chmod +x ./dashboard
# Build frontend
echo "Building frontend..."
pushd ui
npm install
npm run build:prod
popd
mkdir -p ./www
cp ./ui/dist/* ./www/
echo "Starting dashboard"
export DASH_CONFIG=./config/dashboard.json
./dashboard | ITGlobal/dashboard | run.sh | Shell | mit | 309 |
#!/bin/bash
KEYWORDS_APOLLO13="Apollo(| )(13|XIII)"
KEYWORDS_APOLLO13_ALL="$KEYWORDS_APOLLO13"
if [ "$1" == "" ];
then
debug_start "Apollo 13"
APOLLO13=$(egrep -i "$KEYWORDS_APOLLO13" "$NEWPAGES")
categorize "APOLLO13" "Apollo 13"
debug_end "Apollo 13"
fi | MW-autocat-script/MW-autocat-script | catscripts/Government/Countries/United_States/NASA/Apollo_missions/Apollo_13/Apollo13.sh | Shell | mit | 270 |
#!/bin/bash
sudo service lighttpd stop
sudo chmod 777 /var/run/lighttpd
| C-Bouthoorn/didactic-octo-tribble | www-lighty-stop.sh | Shell | mit | 73 |
#!/bin/bash
SHOULD_SIGN=$1
if [ "$SHOULD_SIGN" ]
then
echo "Will sign the APP"
fi
# by Andy Maloney
# http://asmaloney.com/2013/07/howto/packaging-a-mac-os-x-application-using-a-dmg/
# make sure we are in the correct dir when we double-click a .command file
dir=${0%/*}
if [ -d "$dir" ]; then
cd "$dir"
fi
# set ... | anthony19114/MyBitcoinZ | webkitbuilds/build-macos.sh | Shell | mit | 6,392 |
# Create the coordinates of the atoms using PACKMOL
cd packmol_files
packmol < mix_lipids+water.inp
mv -f system.xyz ../moltemplate_files/
cd ..
# Create LAMMPS input files this way:
cd moltemplate_files
# run moltemplate
moltemplate.sh -xyz system.xyz system.lt
# This will generate various files wit... | jewettaij/moltemplate | examples/coarse_grained/membrane_examples/MARTINI_examples/DPPC_bilayer_formation_PACKMOL/README_setup.sh | Shell | mit | 877 |
#!/bin/sh
set -e
mkdir -p "${CONFIGURATION_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}"
RESOURCES_TO_COPY=${PODS_ROOT}/resources-to-copy-${TARGETNAME}.txt
> "$RESOURCES_TO_COPY"
install_resource()
{
case $1 in
*.storyboard)
echo "ibtool --reference-external-strings-file --errors --warnings --notices ... | michaelburk/OAuth2 | Example/Pods/Target Support Files/Pods-OAuth2/Pods-OAuth2-resources.sh | Shell | mit | 3,701 |
# the basics
: ${HOME=~}
: ${LOGNAME=$(id -un)}
: ${UNAME=$(uname)}
# complete hostnames from this file
: ${HOSTFILE=~/.ssh/known_hosts}
# readline config
: ${INPUTRC=~/.inputrc}
# enable en_US locale w/ utf-8 encodings if not already configured
: ${LANG:="en_US.UTF-8"}
: ${LANGUAGE:="en"}
: ${LC_CTYPE:="en_US.UTF-8... | ijcd/dotfiles | local/env.zsh | Shell | mit | 2,493 |
qemu-kvm -m 1G -vga std -cdrom Tananda-23-x86_64-`date +%F`.iso
| RobbHendershot/TanandaOS | bin/test_vm.sh | Shell | mit | 64 |
#!/bin/bash
set -o errexit
set -o nounset
set -o pipefail
GOOS=linux GOARCH=amd64 CGO_ENABLED=0 go build -o bin/laika .
(cd dashboard && npm run build)
| MEDIGO/laika | scripts/build.sh | Shell | mit | 154 |
#!/bin/sh
cd /app
npm install
bower --allow-root install
polymer build
| idi-ops/docker-polymer | build.sh | Shell | mit | 73 |
#!/bin/sh
[[ "${ONLY_DOWNLOAD}" == "true" ]] && exit 0
PKGNAME="sinhala_lklug-font-ttf"
VERSION=${VERSION:-20060929}
CWD=$(pwd)
TMP="${TEMP}/misc"
PKG="${TMP}/package-${PKGNAME}"
rm -rf "${PKG}"
mkdir -p "${PKG}"
cd "${PKG}" || exit 1
TTF="${PKG}/usr/share/fonts/TTF/"
mkdir -p "${TTF}"
cp "${CWD}/sinhala_lklug.ttf... | MyRequiem/X-Server-build-system | src/misc/sinhala_lklug-font-ttf/build.sh | Shell | mit | 844 |
#!/usr/bin/env bash
set -e
. helpers/utils.sh
if [[ $# -lt 2 ]]; then
echo "Usage: helpers/push.sh [service] [amazon-id]"
echo "You can get the amazon-id with: aws sts get-caller-identity --output text --query 'Account'"
fi
SERVICE=$1
AWS_ID=$2
function delete_image {
image_ids=$(aws ecr describe-images --repos... | chargegrid/deploy-scripts | helpers/push.sh | Shell | mit | 815 |
#!/bin/bash
export MIC_MY_NSLOTS=2
export MIC_PPN=2
ibrun.symm -m ./helloIoWorld
| cwsmith/mpiio | runPhi.sh | Shell | mit | 81 |
#!/usr/bin/env bash
# fuzz.sh: sleep for a random amount of time (up to 15 seconds by default).
# see https://github.com/pepaslabs/bash_scripts
#
# usage: fuzz.sh [seconds]
#
# add fuzz.sh to your crontab to prevent a group of machines from causing
# a "stampeded":
#
# * * * * * fuzz.sh && script_which_is_run_by_a_... | pepaslabs/bash_scripts | scripts/fuzz.sh | Shell | mit | 457 |
#!/bin/bash
main() {
ensure_brew_installed
install_brew_packages
setup_dotfiles
install_asdf
install_global_gems
install_global_node_modules
install_cask_packages
}
ensure_brew_installed() {
if ! [ -x $(which brew) ]
then
/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/... | randycoulman/dotfiles | setupMachine.sh | Shell | mit | 2,720 |
#!/bin/bash
# shellcheck source=/dev/null
cd "$DOTFILES_PATH" \
&& source "$DOTFILES_PATH/src/os/helpers.sh"
#------------------------------------------------------------------------------#
printf "\n"
print_title "Terminal"
execute "defaults write com.apple.terminal SecureKeyboardEntry -bool true" \
"Enable 'S... | petemcw/dotfiles | src/os/preferences/macos/terminal.sh | Shell | mit | 522 |
#!/bin/bash
# Copyright (c) 2017-present, Facebook, Inc.
# All rights reserved.
#
# This source code is licensed under the MIT license found in the
# LICENSE file in the root directory of this source tree.
# This runs inside any newly created Docker containers.
set -e
VERSION="$1"
if [ -z "$VERSION" ]; then
echo ... | hhvm/packaging | aws/ondemand/facebook/hhvm/init-container.sh | Shell | mit | 3,819 |
#!/bin/bash
set -eu
echo -n "Enter bump type: "
read type
npm test -s
npm version $type
npm publish
git push origin master
conventional-github-releaser -p angular
| ktsn/houl | release.sh | Shell | mit | 167 |
#!/bin/bash
#
# MIT License
#
# Copyright (c) 2017-2018 Thibault Martinez and Simon Ninon
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation ... | thibault-martinez/iota.lib.cpp | test/testnet/scripts/iri_setup.sh | Shell | mit | 1,566 |
HOME=$REACT_HOME
CLASSPATH=$HOME/src/main/resources
CLASSPATH=$CLASSPATH:$HOME/bin
CLASSPATH=$CLASSPATH:$HOME/lib/commons-io-1.2.jar
CLASSPATH=$CLASSPATH:$HOME/lib/rabbitmq-client.jar
java -cp $CLASSPATH common.AMQPInitialize
| wmr513/reactive | common/java/initialize.sh | Shell | cc0-1.0 | 228 |
#!/bin/bash
# set defaults
toclevels=3
# print out info
if [[ -z $1 ]]
then
echo "
$0 [start|version]
will build the format documentation from CSV files and a template.
Version = cornell|draft|official changes a note in the document
"
exit 1
fi
if [[ "$1" = "start" ]]
then
# parse version from directory
vers... | labordynamicsinstitute/qwi_schemas | formats/V4.2a-draft/write_j2jappdoc.sh | Shell | cc0-1.0 | 15,520 |
#!/usr/bin/env bash
trap "echo got signal!" SIGHUP SIGINT
while true; do
date;
sleep 1;
done
| foreachsam/book-lang-bash | example/subject/trap/signal.sh | Shell | cc0-1.0 | 101 |
## --- system/lib/21_key-bindings.zsh
## Modiied: Mon 27 Dec 2010 03:48:29 AM CET
## Global key mappings
autoload -U compinit
compinit -i
typeset -g -A key
bindkey '^A' beginning-of-line # Ctrl+A
bindkey '^E' end-of-line # Ctrl+E
bindkey '^O' undefined-key # Ctrl+O
bindkey '^O' undefined-key # Ctr... | sperlic/zShell | lib/21_key-bindings.zsh | Shell | cc0-1.0 | 1,523 |
#!/bin/bash
#*******************************************************************************
# Copyright (c) 2016, 2018 Contributors to the Eclipse Foundation
#
# See the NOTICE file(s) distributed with this work for additional
# information regarding copyright ownership.
#
# This program and the accompanying materials... | dejanb/hono | jmeter/src/jmeter/load-test-http-router.sh | Shell | epl-1.0 | 1,403 |
#!/bin/bash
#
# This software is subject to the terms of the Eclipse Public License v1.0
# Agreement, available at the following URL:
# http://www.eclipse.org/legal/epl-v10.html.
# You must accept the terms of that agreement to use this software.
#
# Copyright (C) 2012-2012 Pentaho
# All Rights Reserved.
#
# Generates ... | citycloud-bigdata/mondrian | doc/generate.sh | Shell | epl-1.0 | 440 |
#!/bin/bash
# Check if user is root
if [ $(id -u) != "0" ]; then
printf "Error: You must be root to run this script!\n"
exit 1
fi
printf "\n"
printf "===========================\n"
printf " MariaDB V10.0.21 Install \n"
printf " copyright:www.doitphp.com \n"
printf "===========================\n"
printf "\n\n... | doitphp/lnmp | Mysql/setupShell/mariadb-jemallocInstall.sh | Shell | gpl-2.0 | 5,494 |
#!/bin/bash
# +------------------------------------+
# | lbUnitTests.sh |
# | -------------- |
# | Test script for LoadBalancer rules |
# +------------------------------------+
# Parameters
# ----------
# $0 :: script name
# Configuration
SCRIPT_NAME=$0
TEST_LIST="lbUnitTests... | inieto/lbUnitTests | lbUnitTests.sh | Shell | gpl-2.0 | 2,358 |
#!/bin/sh
old_email=${1:-"incorrect@email"}
curr_email=`git config --get user.email`
curr_name=`git config --get user.name`
new_email=${2:-"$curr_email"}
new_name=${3:-"$curr_name"}
if [ "$old_email" = "-h" ]; then
echo ""
echo "usage: git-reauthor.sh -h"
echo " git-reauthor.sh -d"
echo " g... | rbb/scripts | git-reauthor.sh | Shell | gpl-2.0 | 2,614 |
#!/bin/bash
# Copyright 2012-2014 Brno University of Technology (Author: Karel Vesely)
# Copyright 2016 Radboud University (Author: Emre Yilmaz)
# Apache 2.0
# This example script trains a DNN on top of FBANK features.
# The training is done in 3 stages,
#
# 1) RBM pre-training:
# in this unsupervised stage we ... | michellemorales/OpenMM | kaldi/egs/fame/s5/local/nnet/run_dnn_fbank.sh | Shell | gpl-2.0 | 4,806 |
#! /bin/sh
# Copyright (C) 1999-2022 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | autotools-mirror/automake | t/copy.sh | Shell | gpl-2.0 | 2,606 |
#!/bin/sh
#BEGIN DEPEND------------------------------------------------------------------
INPUT_MODULES='src/lib/perl5/COD/CIF/DDL/DDLm.pm'
#END DEPEND--------------------------------------------------------------------
TEST_SCRIPT=$(cat <<'END_SCRIPT'
#----------------------------------------------------------------... | sauliusg/cod-tools | tests/shtests/get_type_content_007.sh | Shell | gpl-2.0 | 3,719 |
# -------- REQUIREMENTS: ---------
# You must define your MOLTEMPLATE_PATH environment variable
# and set it to the "common" subdirectory of your moltemplate distribution.
# (See the "Installation" section in the moltemplate manual.)
# Create LAMMPS input files this way:
cd moltemplate_files
# run moltemplate
... | anshumang/lammps-analytics | tools/moltemplate/examples/all_atom_examples/AMBER_force_field_examples/hexadecane/README_setup.sh | Shell | gpl-2.0 | 2,616 |
#!/usr/bin/env bash
. ./lib
rm -rf temp1 temp2
# creating the fork point
mkdir temp1
cd temp1
darcs init
cat > foo << FOO
original - apple
original - banana
FOO
darcs add foo
darcs record -am init
cd ..
darcs get temp1 temp2
# do some work in the mainline
cd temp1
cat > foo << FOO
conflict 1 - artichoke
original - b... | DavidAlphaFox/darcs | tests/issue1043_geteff_a.sh | Shell | gpl-2.0 | 1,099 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.